﻿@model List<Xtoman.Domain.WebServices.Payment.CoinPayments.WithdrawalHistory>
@{
    ViewBag.Title = "لیست خروجی های کوین پیمنتس";
}

<div class="row">
    <div class="col-12">
        @Html.DataTables(
         @<thead>
              <tr>
                  <th style="width:10px;">
                      @Html.DisplayNameFor(model => model.GetObject().id)
                  </th>
                  <th>                                                                                                                                                                                                                                                                                          
                      @Html.DisplayNameFor(model => model.GetObject().time_created)
                  </th>
                  <th>
                      @Html.DisplayNameFor(model => model.GetObject().status)
                  </th>
                  <th>
                      @Html.DisplayNameFor(model => model.GetObject().coin)
                  </th>
                  <th>
                      @Html.DisplayNameFor(model => model.GetObject().amountf)
                  </th>
                  <th>
                      @Html.DisplayNameFor(model => model.GetObject().send_address)
                  </th>
                  <th>
                      @Html.DisplayNameFor(model => model.GetObject().send_address_dest_tag)
                  </th>
                  <th>
                      @Html.DisplayNameFor(model => model.GetObject().send_txid)
                  </th>
              </tr>
         </thead>,
    @<tbody>
        @foreach (var mod in Model)
         {
         <tr>
             <td>
                 @Html.DisplayFor(modelItem => mod.id)
             </td>
             <td>
                 @mod.time_created.FromUnixTime()
             </td>
             <td>
                 @mod.status.ToDisplay(DisplayProperty.ShortName)
             </td>
             <td>
                 @Html.DisplayFor(modelItem => mod.coin)
             </td>
             <td>
                 @Html.DisplayFor(modelItem => mod.amountf)
             </td>
             <td>
                 @Html.DisplayFor(modelItem => mod.send_address)
             </td>
             <td>
                 @Html.DisplayFor(modelItem => mod.send_address_dest_tag)
             </td>
             <td>
                 @Html.DisplayFor(modelItem => mod.send_txid)
             </td>
         </tr>
         }
    </tbody>)
    </div>
</div>